// =====================================================================
//  $Id: TBrowserUserInterface.hh,v 1.1.1.1 2003/06/27 02:56:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TBROWSERUSERINTERFACE_HH
#define __TBROWSERUSERINTERFACE_HH

#include "Tglobals.h"
#include "TUserInterface.hh"

class TBrowserUserInterface
  : public TUserInterface
{

  private:
    Tstring theAcceptString;

  public:
    TBrowserUserInterface( const Tstring& history );
    ~TBrowserUserInterface();

  public:
    Tbool AcceptCommand();
    const Tstring& GetInputCommand();

  public:
    Tvoid NotFoundCommand( const Tstring& commandname ) const;

};

#endif
